# Retrieve a representative

Retrieve a specific representative associated with a given Moov account. Read our [business representatives guide](https://docs.moov.io/guides/accounts/requirements/business-representatives/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/)
you'll need to specify the `/accounts/{accountID}/representatives.read` scope.

GET

/accounts/{accountID}/representatives/{representativeID}

Ask

```shell
curl -X GET "https://api.moov.io/accounts/{accountID}/representatives/{representativeID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

Ask

```go
mc, _ := moov.NewClient()

var accountID string
var representativeID string

mc.GetRepresentative(ctx, accountID, representativeID)
```

Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.representatives.get({
    accountID: "071b8a57-e691-4e4b-9143-75f1a828ce9b",
    representativeID: "00d87070-b167-48e6-be2f-198b5e1556c4",
  });

console.log(result);
}

run();
```

Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\nMoovPhp;
use Moov
MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->representatives->get(
    accountID: '071b8a57-e691-4e4b-9143-75f1a828ce9b',
    representativeID: '00d87070-b167-48e6-be2f-198b5e1556c4'
);

if ($response->representative !== null) {
    // handle response
}
```

Ask

```java
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetRepresentativeResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetRepresentativeResponse res = sdk.representatives().get()
                .accountID("071b8a57-e691-4e4b-9143-75f1a828ce9b")
                .representativeID("00d87070-b167-48e6-be2f-198b5e1556c4")
                .call();

if (res.representative().isPresent()) {
            System.out.println(res.representative().get());
        }
    }
}
```

Ask

```python
from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.representatives.get(account_id="071b8a57-e691-4e4b-9143-75f1a828ce9b", representative_id="00d87070-b167-48e6-be2f-198b5e1556c4")

# Handle response
    print(res)
```

Ask

```ruby
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.representatives.get(account_id: '071b8a57-e691-4e4b-9143-75f1a828ce9b', representative_id: '00d87070-b167-48e6-be2f-198b5e1556c4')

unless res.representative.nil?
  # handle response
end
```

Ask

```csharp
using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Representatives.GetAsync(
    accountID: "071b8a57-e691-4e4b-9143-75f1a828ce9b",
    representativeID: "00d87070-b167-48e6-be2f-198b5e1556c4"
);

// handle response
```

The request completed successfully.

Ask

Example

Describes a business representative.

```json
{
  "representativeID": "string",
  "name": {
    "firstName": "Jordan",
    "middleName": "Reese",
    "lastName": "Lee",
    "suffix": "Jr"
  },
  "phone": {
    "number": "8185551212",
    "countryCode": "1"
  },
  "email": "jordan.lee@classbooker.dev",
  "address": {
    "addressLine1": "123 Main Street",
    "addressLine2": "Apt 302",
    "city": "Boulder",
    "stateOrProvince": "CO",
    "postalCode": "80301",
    "country": "US"
  },
  "birthDateProvided": true,
  "governmentIDProvided": true,
  "responsibilities": {
    "isController": true,
    "isOwner": true,
    "ownershipPercentage": 38,
    "jobTitle": "CEO"
  },
  "createdOn": "2019-08-24T14:15:22Z",
  "updatedOn": "2019-08-24T14:15:22Z",
  "disabledOn": "2019-08-24T14:15:22Z"
}
```

### Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

### Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

### Response headers

A unique identifier used to trace requests.

The requested resource was not found.

### Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

### Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

### Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

### Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

`v2026.07.00`

ID of the account.

ID of the representative.

Describes a business representative.

Show child attributes

The individual's first given name.

The individual's family name.

The individual's second given name, if any.

Suffix of a given name.

Unique identifier for this representative.

Show child attributes

Indicates whether this representative's birth date has been provided.

Indicates whether a government ID (SSN, ITIN, etc.) has been provided for this representative.

Show child attributes

Describes the job responsibilities of a business representative.

Show child attributes

Indicates whether this individual has significant management responsibilities within the business.

If `true`, this field indicates that the individual has a business ownership stake of at least 25% in the business. If the representative does not own at least 25% of the business, this field should be `false`.

The percentage of ownership this individual has in the business (required if `isOwner` is `true`).
